Skip to content Skip to main navigation Skip to footer

What is the minimum system requirements to download the Qurio app on my device?

The minimum system requirements for the Qurio app are 12.0 (iOS) and 5.0 (Android)

Did you find this page useful?

Related Articles